Bug 166099 - pam_smb fails to try backup server
pam_smb fails to try backup server
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: pam_smb (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-08-16 18:11 EDT by Cott Lang
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 14:56:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Cott Lang 2005-08-16 18:11:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
I have two servers configured in my pam_smb.conf, PRIMARY and SECONDARY.

If PRIMARY and SECONDARY are both on the local subnet, either one can go down, and everything is fine, pam_smb appears to try one, then the other, and we're okay.

However, if the PRIMARY is on a different subnet, pam_smb hangs for a couple of MINUTES trying to access it, then times out and fails completely instead of attempting SECONDARY.

This is completely repeatable.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. secondary server on different subnet
2. fail primary server
3. try to login

Actual Results:  logins are impossible

Expected Results:  A faster timeout followed by failover to the backup server.

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 14:56:09 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.